View Issue Details

IDProjectCategoryView StatusLast Update
0017247LazarusIDEpublic2010-09-13 20:16
ReporterLuiz AmericoAssigned ToMattias Gaertner 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0017247: The ide crashes when ivoking identifier completion of an unknow type
DescriptionAs example, in an empty project add the following method and try to invoke identifier completion (notice the typo Strings <> TStrings) :

procedure TForm1.Test(DisplayNames: Strings);
begin
  Displ| Ctrl+ Space
end;

Using Lazarus 0.9.29 r27165 FPC 2.4.0 i386-win32-win32/win64
TagsNo tags attached.
Fixed in Revision
LazTarget0.9.30
Widgetset
Attached Files

Activities

samuel herzog

2010-08-30 07:22

developer   ~0040616

I can reproduce this problem in todays SVN revision 27235 on winxp sp3.

Here is the backtrace:

#0 0x0040c6f6 in fpc_raiseexception ()
0000001 0x007788d9 in TCUSTOMCODETOOL__RAISEEXCEPTIONINSTANCE (
    THEEXCEPTION=0xb48fe90, CLEARNICEPOS=true, this=<error reading variable>)
    at customcodetool.pas:2212
0000002 0x00778928 in TCUSTOMCODETOOL__RAISEEXCEPTIONCLASS (
    AMESSAGE=0xb463e20 'Bezeichner nicht gefunden: Strings',
    EXCEPTIONCLASS=<incomplete type>, CLEARNICEPOS=true,
    this=<error reading variable>) at customcodetool.pas:2220
0000003 0x0077495d in TCUSTOMCODETOOL__RAISEEXCEPTION (
    AMESSAGE=0xb463e20 'Bezeichner nicht gefunden: Strings',
    CLEARNICEPOS=true, this=<error reading variable>)
    at customcodetool.pas:422
0000004 0x007749d8 in TCUSTOMCODETOOL__RAISEEXCEPTIONFMT (
    AMESSAGE=0x8fc8c58 'Bezeichner nicht gefunden: %s',
    ARGS=<incomplete type>, CLEARNICEPOS=true, highARGS=0,
    this=<error reading variable>) at customcodetool.pas:428
0000005 0x0077efa3 in RAISENOTFOUND (parentfp=0x864f2d4)
    at finddeclarationtool.pas:2578
0000006 0x0077eeb6 in CHECKRESULT (NEWRESULT=false, CALLONIDENTIFIERFOUND=false,
    parentfp=0x864f318) at finddeclarationtool.pas:2654
0000007 0x0077e33e in TFINDDECLARATIONTOOL__FINDIDENTIFIERINCONTEXT (
    PARAMS=0xb493668, this=<error reading variable>)
    at finddeclarationtool.pas:3203
0000008 0x0077f9fe in TFINDDECLARATIONTOOL__FINDBASETYPEOFNODE (PARAMS=0xb493668,
    NODE=0xb3c0488, this=<error reading variable>, result=...)
    at finddeclarationtool.pas:3499
0000009 0x00793e60 in TIDENTIFIERLISTITEM__UPDATEBASECONTEXT (
    this=<error reading variable>) at identcompletiontool.pas:2823
0000010 0x00793cd8 in TIDENTIFIERLISTITEM__CHECKHASCHILDS (
    this=<error reading variable>) at identcompletiontool.pas:2784
0000011 0x0074c882 in TCODETOOLMANAGER__IDENTITEMCHECKHASCHILDS (
    IDENTITEM=0x94e85f8, this=<error reading variable>)
    at codetoolmanager.pas:2130
0000012 0x0088c705 in GETIDENTCOMPLETIONVALUE (ACOMPLETION=0x9c94e98,
    ADDCHAR=..., VALUETYPE=ICVIDENTIFIER, CURSORTOLEFT=0, result=0x0)
    at sourceeditprocs.pas:543
0000013 0x008588bd in TSOURCEEDITCOMPLETION__CCCOMPLETE (VALUE=0xe3f288 'Dummy',
    SOURCEVALUE=0xb48fe38 'Displ', SOURCESTART=..., SOURCEEND=...,
    KEYCHAR=..., SHIFT=..., this=<error reading variable>)
    at sourceeditor.pp:1571
0000014 0x009587c3 in TSYNCOMPLETION__VALIDATE (SENDER=0x9ddd5f8, KEYCHAR=...,
    SHIFT=..., this=<error reading variable>) at syncompletion.pas:1311
0000015 0x00957d71 in TSYNBASECOMPLETION__EXECUTE (S=0x9dfe3d8 'Displ', X=81,
    Y=406, this=<error reading variable>) at syncompletion.pas:990
0000016 0x008607cc in TSOURCEEDITOR__STARTIDENTCOMPLETIONBOX (JUMPTOERROR=true,
    this=<error reading variable>) at sourceeditor.pp:3977
0000017 0x0085d000 in TSOURCEEDITOR__PROCESSUSERCOMMAND (SENDER=0x9d91b78,
    COMMAND=1103, ACHAR=..., DATA=0x0, this=<error reading variable>)
    at sourceeditor.pp:2890
0000018 0x006ee171 in TCUSTOMSYNEDIT__DOONPROCESSCOMMAND (COMMAND=1103,
    ACHAR=..., DATA=0x0, this=<error reading variable>) at synedit.pp:6430
0000019 0x006ebd22 in TCUSTOMSYNEDIT__COMMANDPROCESSOR (COMMAND=1103, ACHAR=...,
    DATA=0x0, this=<error reading variable>) at synedit.pp:5801
0000020 0x006e23f1 in TCUSTOMSYNEDIT__KEYDOWN (KEY=0, SHIFT=...,
    this=<error reading variable>) at synedit.pp:2346
0000021 0x00532236 in TWINCONTROL__KEYDOWNBEFOREINTERFACE (KEY=0, SHIFT=...,
    this=<error reading variable>) at ./include/wincontrol.inc:5449
0000022 0x005324eb in TWINCONTROL__DOKEYDOWNBEFOREINTERFACE (MESSAGE=...,
    ISRECURSECALL=false, this=<error reading variable>)
    at ./include/wincontrol.inc:5618
0000023 0x00534949 in TWINCONTROL__CNKEYDOWN (MESSAGE=...,
    this=<error reading variable>) at ./include/wincontrol.inc:6899
0000024 0x0040be7a in SYSTEM_TOBJECT_$__DISPATCH$formal ()
0000025 0x00534930 in RAISELOOP (parentfp=0x864fc68)
    at ./include/wincontrol.inc:6808
0000026 0x00531980 in TWINCONTROL__WNDPROC (MESSAGE=...,
    this=<error reading variable>) at ./include/wincontrol.inc:5207
0000027 0x006eaafe in TCUSTOMSYNEDIT__WNDPROC (MSG=...,
    this=<error reading variable>) at synedit.pp:5408
0000028 0x005bd407 in DELIVERMESSAGE (TARGET=0x9d91b78, AMESSAGE=void)
    at lclmessageglue.pas:110
0000029 0x0055a0ee in WINDOWPROC (WINDOW=590892, MSG=256, WPARAM=32,
    LPARAM=3735553) at win32callback.inc:2420
0000030 0x7e368734 in ?? ()
0000031 0x0009042c in ?? ()
0000032 0x00000100 in ?? ()
0000033 0x00000020 in ?? ()
0000034 0x00390001 in ?? ()
0000035 0x00557b60 in GETNEEDPARENTPAINT (AWINDOWINFO=0x557b60,
    AWINCONTROL=0x864fd9c) at win32callback.inc:188
0000036 0x7e368816 in ?? ()
0000037 0x00557b60 in GETNEEDPARENTPAINT (AWINDOWINFO=0x0, AWINCONTROL=0x7e368830)
    at win32callback.inc:188
0000038 0x7e3689cd in ?? ()
0000039 0x00000000 in ?? ()

samuel herzog

2010-09-13 20:16

developer   ~0041034

Works fine now. Thank you!

Issue History

Date Modified Username Field Change
2010-08-22 22:12 Luiz Americo New Issue
2010-08-22 22:12 Luiz Americo LazTarget => -
2010-08-30 07:22 samuel herzog LazTarget - => 0.9.30
2010-08-30 07:22 samuel herzog Note Added: 0040616
2010-08-30 07:22 samuel herzog Status new => acknowledged
2010-08-30 07:22 samuel herzog Target Version => 0.9.30
2010-09-13 08:22 Zeljan Rikalo Status acknowledged => assigned
2010-09-13 08:22 Zeljan Rikalo Assigned To => Mattias Gaertner
2010-09-13 08:57 Mattias Gaertner Status assigned => resolved
2010-09-13 08:57 Mattias Gaertner Resolution open => fixed
2010-09-13 20:16 samuel herzog Status resolved => closed
2010-09-13 20:16 samuel herzog Note Added: 0041034
2010-09-13 20:16 samuel herzog Fixed in Version => 0.9.29 (SVN)